/** global Ext videojs getTeacherAjax jobs */
import { Project, Script } from 'easy-us';
import { CommonWorkOptions } from '../utils';
type VideoQuizStrategy = 'random' | 'ignore';
export declare const CXProject: Project<{
    guide: Script<{
        notes: {
            defaultValue: string;
        };
    }, import("easy-us").ScriptMethods>;
    study: Script<{
        notes: {
            defaultValue: string;
        };
        playbackRate: import("easy-us").Config<keyof import("easy-us/lib/elements/configs/interface").ConfigTagMap, any>;
        volume: import("easy-us").Config<any, number>;
        videoQuizStrategy: {
            label: string;
            tag: "select";
            options: string[][];
            attrs: {
                title: string;
            };
            defaultValue: VideoQuizStrategy;
        };
        restudy: {
            label: string;
            attrs: {
                title: string;
                type: string;
            };
            defaultValue: boolean;
        };
        backToFirstWhenFinish: {
            label: string;
            attrs: {
                type: string;
                title: string;
            };
            defaultValue: boolean;
        };
        autoNextPage: {
            label: string;
            attrs: {
                type: string;
            };
            defaultValue: boolean;
        };
        reloadVideoWhenError: {
            label: string;
            attrs: {
                type: string;
            };
            defaultValue: boolean;
        };
        showTextareaWhenEdit: {
            label: string;
            attrs: {
                type: string;
                title: string;
            };
            defaultValue: boolean;
        };
        notifyWhenHasFaceRecognition: {
            label: string;
            attrs: {
                type: string;
            };
            defaultValue: boolean;
        };
        /**
         *
         * 开启的任务点
         *
         * media : 音视频
         * ppt : 文档和书籍翻阅
         * test : 章节测试
         * read : 阅读
         * live : 直播课
         *
         */
        enableMedia: {
            separator: string;
            label: string;
            attrs: {
                type: string;
                title: string;
            };
            defaultValue: boolean;
        };
        enablePPT: {
            label: string;
            attrs: {
                type: string;
                title: string;
            };
            defaultValue: boolean;
        };
        enableChapterTest: {
            label: string;
            attrs: {
                type: string;
                title: string;
            };
            defaultValue: boolean;
        };
    }, import("easy-us").ScriptMethods>;
    work: Script<{
        notes: import("easy-us").Config<any, string>;
    }, import("easy-us").ScriptMethods>;
    autoRead: Script<{
        notes: {
            defaultValue: string;
        };
        restartAfterFinish: {
            label: string;
            attrs: {
                type: string;
                title: string;
            };
            defaultValue: boolean;
        };
    }, import("easy-us").ScriptMethods>;
    /**
     * 有时候进入课程会默认在，任务页面，会出现任务为空，部分用户会以为没有章节任务，所以添加此脚本
     */
    pageRedirect: Script<import("easy-us").ScriptConfigs, import("easy-us").ScriptMethods>;
    versionRedirect: Script<import("easy-us").ScriptConfigs, import("easy-us").ScriptMethods>;
    examRedirect: Script<import("easy-us").ScriptConfigs, import("easy-us").ScriptMethods>;
    rateHack: Script<import("easy-us").ScriptConfigs, import("easy-us").ScriptMethods>;
    copyHack: Script<import("easy-us").ScriptConfigs, {
        /** 解除输入框无法复制粘贴 */
        hackEditorPaste(): void;
    }>;
    studyDispatcher: Script<import("easy-us").ScriptConfigs, import("easy-us").ScriptMethods>;
    cxSecretFontRecognize: Script<import("easy-us").ScriptConfigs, import("easy-us").ScriptMethods>;
}>;
/**
 * cx 任务学习
 */
export declare function study(opts: {
    restudy: boolean;
    playbackRate: number;
    volume: number;
    videoQuizStrategy: VideoQuizStrategy;
    reloadVideoWhenError: boolean;
    backToFirstWhenFinish: boolean;
    workOptions: CommonWorkOptions;
}): Promise<void>;
/**
 * 永久固定显示视频进度
 */
export declare function fixedVideoProgress(): void;
/**
 * 获取有效的数字
 * @param nums
 */
export declare function getValidNumber(...nums: number[]): number | undefined;
export {};
