import { Project, Script } from 'easy-us';
import { RemotePage } from '@ocsjs/core';
/** 工程导出 */
export declare const ZHSProject: Project<{
    guide: Script<{
        notes: {
            defaultValue: string;
        };
    }, import("easy-us").ScriptMethods>;
    'gxk-study': Script<{
        notes: {
            defaultValue: string;
        };
        /** 学习记录 []  */
        studyRecord: {
            defaultValue: {
                /** 学习日期 */
                date: number;
                courses: {
                    /** 课程名 */
                    name: string;
                    /** 学习时间 */
                    time: number;
                }[];
            }[];
            extra: {
                appConfigSync: boolean;
            };
        };
        stopTime: {
            label: string;
            tag: "select";
            attrs: {
                title: string;
            };
            defaultValue: string;
            options: string[][];
        };
        restudy: import("easy-us").Config<any, boolean>;
        volume: import("easy-us").Config<any, number>;
        definition: import("easy-us").Config<any, "line1bq" | "line1gq">;
        playbackRate: {
            label: string;
            tag: "select";
            defaultValue: number;
            options: string[][];
        };
    }, {
        /**
         * 增加学习时间
         * @param courseName 课程名
         * @param val 增加的时间
         */
        increaseStudyTime: (courseName: string, val: number) => void;
    }>;
    'gxk-work': Script<{
        notes: {
            defaultValue: string;
        };
    }, {
        getWorkInfo: (remotePage: RemotePage) => Promise<any>;
        work: () => Promise<void>;
    }>;
    'xnk-study': Script<{
        notes: {
            defaultValue: string;
        };
        restudy: import("easy-us").Config<any, boolean>;
        volume: import("easy-us").Config<any, number>;
    }, import("easy-us").ScriptMethods>;
    'xnk-work': Script<{
        notes: import("easy-us").Config<any, string>;
    }, import("easy-us").ScriptMethods>;
}>;
