import { AnswerMatchMode, AnswererWrapper, WorkUploadType } from '@ocsjs/core';
import { MessageElement } from 'easy-us';
export interface CommonWorkOptions {
    period: number;
    thread: number;
    upload: WorkUploadType;
    answererWrappers: AnswererWrapper[];
    stopSecondWhenFinish: number;
    redundanceWordsText: string;
    answerSeparators: string;
    answerMatchMode: AnswerMatchMode;
}
/** 创建答题预处理信息 */
export declare function workPreCheckMessage(options: CommonWorkOptions & {
    onrun: (opts: CommonWorkOptions) => void;
    /**
     * 当没有题库配置时的回调
     */
    onNoAnswererWrappers?: (opts: CommonWorkOptions) => void;
    /**
     * 手动关闭时的回调
     */
    onclose?: (opts: CommonWorkOptions, closedMessage: MessageElement) => void;
}): MessageElement | undefined;
/**
 * 创造范围选择器的提示
 */
export declare function createRangeTooltip(input: HTMLInputElement | HTMLSelectElement | HTMLTextAreaElement, defaultValue: string, transform: (val: string) => string): void;
export declare function playMedia(playFunction: () => Promise<void> | undefined | void): Promise<boolean>;
/**
 * 	解除复制限制功能
 * @param elements 要开启复制功能的元素
 */
export declare function enableCopy(elements: (HTMLElement | Document)[]): void;
