"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.waitForElement = exports.waitForMedia = void 0;
const core_1 = require("@ocsjs/core");
/**
 * 等待视频加载并获取视频
 */
function waitForMedia(options) {
    return __awaiter(this, void 0, void 0, function* () {
        const res = yield Promise.race([
            new Promise((resolve, reject) => {
                const interval = setInterval(() => {
                    const video = ((options === null || options === void 0 ? void 0 : options.root) || document).querySelector(`${(options === null || options === void 0 ? void 0 : options.videoSelector) || 'video'},${(options === null || options === void 0 ? void 0 : options.audioSelector) || 'audio'}`);
                    if (video) {
                        clearInterval(interval);
                        resolve(video);
                    }
                }, 1000);
            }),
            core_1.$.sleep(3 * 60 * 1000)
        ]);
        if (res) {
            return res;
        }
        else {
            throw new Error('视频/音频未找到，或者加载超时。');
        }
    });
}
exports.waitForMedia = waitForMedia;
function waitForElement(selector) {
    return new Promise((resolve, reject) => {
        const interval = setInterval(() => {
            const el = document.querySelector(selector);
            if (el) {
                clearInterval(interval);
                clearTimeout(timeout);
                resolve(el);
            }
        }, 1000);
        // 超时跳过
        const timeout = setTimeout(() => {
            clearInterval(interval);
            resolve(undefined);
        }, 10 * 1000);
    });
}
exports.waitForElement = waitForElement;
