import { OCSWorker, SimplifyWorkResult, WorkResult } from '@ocsjs/core';
import { Script } from 'easy-us';
import { CommonWorkOptions } from '.';
/**
 * 通用作业考试工具方法
 */
export declare function commonWork(script: Script, options: {
    workerProvider: (opts: CommonWorkOptions) => OCSWorker<any> | undefined;
    beforeRunning?: () => void | Promise<void>;
    onRestart?: () => void | Promise<void>;
    onWorkerCreated?: (worker: OCSWorker<any>) => void | Promise<void>;
}): void;
/**
 * 答题控制
 */
export declare function createWorkerControl(options: {
    workerProvider: () => OCSWorker<any> | undefined;
    onStart: () => void;
    onRestart: () => void;
}): {
    startBtn: HTMLInputElement;
    restartBtn: HTMLInputElement;
    controlBtn: HTMLInputElement;
};
/**
 * 图片识别，将图片链接追加到 text 中
 */
export declare function optimizationElementWithImage(root: HTMLElement): HTMLElement;
/**
 * 创建一个不可见的文本节点，追加到图片后面，便于文本获取
 */
export declare function createUnVisibleTextOfImage(img: HTMLImageElement): void;
/** 将 {@link WorkResult} 转换成 {@link SimplifyWorkResult} */
export declare function simplifyWorkResult(results: WorkResult<any>[], 
/**
 * 标题处理方法
 * 在答题时使用相同的处理方法，可以使答题结果显示的题目与搜题的题目保持一致
 */
titleTransform?: (title: (HTMLElement | undefined)[], index: number) => string): SimplifyWorkResult[];
/**
 * 从题目中移除指定的冗余词
 */
export declare function removeRedundantWords(str: string, words: string[]): string;
